MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0024086Community[OCCT] OCCT:Modeling Algorithmspublic2013-07-24 15:282014-11-11 12:58
ReporterHayashi 
Assigned Toifv 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformWindowsOSVC++ 2010OS Version32 bit
Product Version[OCCT] 6.6.0 
Target Version[OCCT] 6.8.0Fixed in Version[OCCT] 6.8.0 
Summary0024086: IsValid of result-Shape of BRepFeat_SplitShape returns False
DescriptionIn attached file, Face has split, but IsValid of a result returns false.
Steps To Reproduce{
    BRep_Builder builder;
    TopoDS_Shape face, wire, result;
    int val;

    val = BRepTools::Read(face,"face.brep",builder);
    val = BRepTools::Read(wire,"wire.brep",builder);

    BRepFeat_SplitShape asplit(face);
    asplit.Add(TopoDS::Wire(wire),TopoDS::Face(face));
    asplit.Build();
    result = asplit.Shape();

    ShapeAnalysis_ShapeContents ana;
    ana.Perform(result);
    val = ana.NbFaces();

    val = BRepAlgo::IsValid(result);
}
TagsNo tags attached.
Test case numberbugs modalg_5 bug24086
Attached Fileszip file icon facewire.zip (3,869 bytes) 2013-07-24 15:28

- Relationships

-  Notes
(0027684)
bugmaster (administrator)
2014-01-29 15:50

To reproduce problem test case is required.
(0027891)
apn (administrator)
2014-02-13 13:41

QA command OCC24086 and test case bugs/modalg_5/bug24086 were added to master.
(0027894)
kgv (developer)
2014-02-13 14:52

Dear apn,

>> QA command OCC24086 and test case bugs/modalg_5/bug24086 were added to master.
+static Standard_Integer OCC24086 (Draw_Interpretor& di, Standard_Integer argc, const char ** argv) 

+{
+	if (argc != 3) {
+		di << "Usage : " << argv[0] << " should be 2 arguments (face and 
wire)";
+		return 1;
+	}

tabulation symbol is forbidden in OCCT sources!
(0032237)
bugmaster (administrator)
2014-09-26 14:38

Problem is not reproduced on current master.

- Issue History
Date Modified Username Field Change
2013-07-24 15:28 Hayashi New Issue
2013-07-24 15:28 Hayashi Assigned To => ifv
2013-07-24 15:28 Hayashi File Added: facewire.zip
2014-01-29 15:50 bugmaster Note Added: 0027684
2014-01-29 15:50 bugmaster Assigned To ifv => apn
2014-01-29 15:50 bugmaster Status new => assigned
2014-02-13 13:41 apn Note Added: 0027891
2014-02-13 13:41 apn Test case number => bugs modalg_5 bug24086
2014-02-13 13:41 apn Assigned To apn => ifv
2014-02-13 14:52 kgv Note Added: 0027894
2014-09-26 14:38 bugmaster Note Added: 0032237
2014-09-26 14:38 bugmaster Status assigned => resolved
2014-09-26 14:39 bugmaster Status resolved => reviewed
2014-09-26 14:39 bugmaster Status reviewed => verified
2014-09-26 14:39 bugmaster Resolution open => fixed
2014-09-26 17:45 abv Target Version => 6.8.0
2014-11-11 12:45 user533 Fixed in Version => 6.8.0
2014-11-11 12:58 user533 Status verified => closed


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker